PropertyConditionType
Date: 2013-06-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs.filter.property
Enum PropertyConditionType

    java.lang.Object
      java.lang.Enum<PropertyConditionType>
          org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs.filter.property.PropertyConditionType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PropertyConditionType>

    public enum PropertyConditionType

extends java.lang.Enum<PropertyConditionType>

Author:
  Federico De Faveri defaveri@isti.cnr.it

Enum Constant Summary
`AND`
`BOOLEAN_PROPERTY_VALUE`
`NOT`
`OR`
`PROPERTY_EXIST`
`STRING_PROPERTY_VALUE`
`TIME_IN_MILLISECONDS_PROPERTY_VALUE`
`TIME_IN_MILLISECONDS_PROPERTY_VALUE_BETWEEN`

Method Summary
`static PropertyConditionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PropertyConditionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AND

    public static final PropertyConditionType AND

### OR

    public static final PropertyConditionType OR

### NOT

    public static final PropertyConditionType NOT

### STRING_PROPERTY_VALUE

    public static final PropertyConditionType STRING_PROPERTY_VALUE

### BOOLEAN_PROPERTY_VALUE

    public static final PropertyConditionType BOOLEAN_PROPERTY_VALUE

### TIME_IN_MILLISECONDS_PROPERTY_VALUE

    public static final PropertyConditionType TIME_IN_MILLISECONDS_PROPERTY_VALUE

### TIME_IN_MILLISECONDS_PROPERTY_VALUE_BETWEEN

    public static final PropertyConditionType TIME_IN_MILLISECONDS_PROPERTY_VALUE_BETWEEN

### PROPERTY_EXIST

    public static final PropertyConditionType PROPERTY_EXIST

Method Detail

### values

    public static PropertyConditionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PropertyConditionType c : PropertyConditionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PropertyConditionType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD